rpms/dnsmasq/devel dnsmasq-2.33-enable-dbus.patch, NONE, 1.1 dnsmasq-2.33-initscript.patch, NONE, 1.1 .cvsignore, 1.4, 1.5 dnsmasq.spec, 1.9, 1.10 sources, 1.4, 1.5 dnsmasq-2.32-enable-dbus.patch, 1.1, NONE dnsmasq-2.32-initscript.patch, 1.1, NONE

Patrick Laughton (jima) fedora-extras-commits at redhat.com
Tue Aug 15 20:35:03 UTC 2006


Author: jima

Update of /cvs/extras/rpms/dnsmasq/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv6962/devel

Modified Files:
	.cvsignore dnsmasq.spec sources 
Added Files:
	dnsmasq-2.33-enable-dbus.patch dnsmasq-2.33-initscript.patch 
Removed Files:
	dnsmasq-2.32-enable-dbus.patch dnsmasq-2.32-initscript.patch 
Log Message:

Update


dnsmasq-2.33-enable-dbus.patch:

--- NEW FILE dnsmasq-2.33-enable-dbus.patch ---
diff -urN dnsmasq-2.33/src/config.h dnsmasq-2.33-patched/src/config.h
--- dnsmasq-2.33/src/config.h	2006-08-04 06:02:36.000000000 -0500
+++ dnsmasq-2.33-patched/src/config.h	2006-08-15 15:14:19.000000000 -0500
@@ -156,7 +156,7 @@
 /* platform independent options- uncomment to enable */
 /* #define HAVE_BROKEN_RTC */
 /* #define HAVE_ISC_READER */
-/* #define HAVE_DBUS */
+#define HAVE_DBUS
 
 #if defined(HAVE_BROKEN_RTC) && defined(HAVE_ISC_READER)
 #  error HAVE_ISC_READER is not compatible with HAVE_BROKEN_RTC

dnsmasq-2.33-initscript.patch:

--- NEW FILE dnsmasq-2.33-initscript.patch ---
diff -urN dnsmasq-2.33/rpm/dnsmasq.init dnsmasq-2.33-patched/rpm/dnsmasq.init
--- dnsmasq-2.33/rpm/dnsmasq.init	1969-12-31 18:00:00.000000000 -0600
+++ dnsmasq-2.33-patched/rpm/dnsmasq.init	2006-08-15 15:12:17.000000000 -0500
@@ -0,0 +1,75 @@
+#!/bin/sh
+#
+# Startup script for the DNS caching server
+#
+# chkconfig: - 99 01
+# description: This script starts your DNS caching server
+# processname: dnsmasq
+# pidfile: /var/run/dnsmasq.pid
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+# Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 0
+
+dnsmasq=/usr/sbin/dnsmasq
+[ -f $dnsmasq ] || exit 0
+
+DOMAIN_SUFFIX=`dnsdomainname`
+if [ ! -z "${DOMAIN_SUFFIX}" ]; then
+  OPTIONS="-s $DOMAIN_SUFFIX"
+fi
+
+RETVAL=0
+
+# See how we were called.
+case "$1" in
+  start)
+        echo -n "Starting dnsmasq: "
+        daemon $dnsmasq $OPTIONS
+	RETVAL=$?
+        echo
+        [ $RETVAL -eq 0 ] && touch /var/lock/subsys/dnsmasq
+        ;;
+  stop)
+        if test "x`pidof dnsmasq`" != x; then
+            echo -n "Shutting down dnsmasq: "
+            killproc dnsmasq
+        fi
+	RETVAL=$?
+        echo
+        [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/dnsmasq /var/run/dnsmasq.pid
+        ;;
+  status)
+	status dnsmasq
+	RETVAL=$?
+	;;
+  reload)
+	echo -n "Reloading dnsmasq: "
+	killproc dnsmasq -HUP
+	RETVAL=$?
+	echo
+	;;
+  restart)
+	$0 stop
+	$0 start
+	RETVAL=$?
+	;;
+  condrestart)
+	    if test "x`/sbin/pidof dnsmasq`" != x; then
+		$0 stop
+		$0 start
+		RETVAL=$?
+	    fi
+	    ;;
+  *)
+        echo "Usage: $0 {start|stop|restart|reload|condrestart|status}"
+        exit 1
+esac
+
+exit $RETVAL
+


Index: .cvsignore
===================================================================
RCS file: /cvs/extras/rpms/dnsmasq/devel/.cvsignore,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- .cvsignore	12 Jun 2006 14:30:20 -0000	1.4
+++ .cvsignore	15 Aug 2006 20:35:02 -0000	1.5
@@ -1,3 +1 @@
-dnsmasq-2.30.tar.gz
-dnsmasq-2.31.tar.gz
-dnsmasq-2.32.tar.gz
+dnsmasq-2.33.tar.gz


Index: dnsmasq.spec
===================================================================
RCS file: /cvs/extras/rpms/dnsmasq/devel/dnsmasq.spec,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- dnsmasq.spec	22 Jul 2006 14:20:16 -0000	1.9
+++ dnsmasq.spec	15 Aug 2006 20:35:02 -0000	1.10
@@ -1,6 +1,6 @@
 Name:           dnsmasq
-Version:        2.32
-Release:        3%{?dist}
+Version:        2.33
+Release:        1%{?dist}
 Summary:        A lightweight DHCP/caching DNS server
 
 Group:          System Environment/Daemons
@@ -15,9 +15,9 @@
 BuildRequires:  dbus-devel
 %endif
 
-BuildRequires:	pkgconfig
+BuildRequires:  pkgconfig
 
-Requires(post):	 /sbin/chkconfig
+Requires(post):  /sbin/chkconfig
 Requires(post):  /sbin/service
 Requires(preun): /sbin/chkconfig
 Requires(preun): /sbin/service
@@ -48,9 +48,9 @@
 rm -rf $RPM_BUILD_ROOT
 # normally i'd do 'make install'...it's a bit messy, though
 mkdir -p $RPM_BUILD_ROOT%{_sbindir} $RPM_BUILD_ROOT%{_initrddir} \
-	$RPM_BUILD_ROOT%{_mandir}/man8 \
-	$RPM_BUILD_ROOT%{_sysconfdir}/sysconfig \
-	$RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d
+        $RPM_BUILD_ROOT%{_mandir}/man8 \
+        $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig \
+        $RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d
 install src/dnsmasq $RPM_BUILD_ROOT%{_sbindir}/dnsmasq
 install dnsmasq.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/dnsmasq.conf
 %if "%fedora" > "3" || "%aurora" > "2"
@@ -90,6 +90,9 @@
 
 
 %changelog
+* Tue Aug 15 2006 Patrick "Jima" Laughton <jima at beer.tclug.org> 2.33-1
+- Update
+
 * Sat Jul 22 2006 Patrick "Jima" Laughton <jima at beer.tclug.org> 2.32-3
 - Added pkgconfig BuildReq due to reduced buildroot
 


Index: sources
===================================================================
RCS file: /cvs/extras/rpms/dnsmasq/devel/sources,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- sources	12 Jun 2006 14:30:20 -0000	1.4
+++ sources	15 Aug 2006 20:35:02 -0000	1.5
@@ -1 +1 @@
-d1f593a8352db1d6ad3dccc9b775295d  dnsmasq-2.32.tar.gz
+45696461b6e6bc929273b1191ca50447  dnsmasq-2.33.tar.gz


--- dnsmasq-2.32-enable-dbus.patch DELETED ---


--- dnsmasq-2.32-initscript.patch DELETED ---




More information about the fedora-extras-commits mailing list